Get bundle
GET
/v1/bundles/{bundleId}
const url = 'https://example.com/komplettpc/v1/bundles/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/komplettpc/v1/bundles/exampleReturns the bundle structure including product groups and their defaults for the given bundle identifier.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”bundleId
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
bundleId
required
string
name
required
string
assemblyTime
required
productGroups
required
Array<object>
Example
{ "productGroups": [ { "selectionType": "Single" } ]}Bad Request
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
required
Array<object>
object
fieldName
required
string
message
required
string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": [ { "fieldName": "example", "message": "example" } ], "code": "example", "traceId": "example"}Unauthorized
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Forbidden
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Not Found
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Internal Server Error
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}